/* $Id$ */
#if !defined IMAGE_UTILS_H
#define IMAGE_UTILS_H

#include "common.h"
#include "module.h"

enum bgPrefer {
  BG_INDEX,
  BG_RGB,
  BG_USER
};
typedef enum bgPrefer BgPrefer;
typedef struct imageWork ImageWork;

void imageWork_init(ImageWork *work, ImageSet *images);
void imageWork_get_background(ImageWork *work, unsigned short *r, unsigned short *g, unsigned short *b);
void imageWork_set_background(ImageWork *work, unsigned short r, unsigned short g, unsigned short b, BgPrefer prefer);
ImageWork *imageWork_alloc(void);
void imageWork_free(ImageWork *work);
void imageWork_update(ImageWork *work, Image *newframe);
int imageWork_get_dispose_op(ImageWork *work);
Image *imageWork_get_image(ImageWork *work);
void imageWork_get_updated_size(ImageWork *work, int *width, int *height, int *xoff, int *yoff);

#endif /* !IMAGE_UTILS_H */
